<template>
    <button class="like-button" @click="toggleLike">
      <i :class="{ 'fas fa-heart': liked, 'far fa-heart': !liked }"></i>
    </button>
  </template>
  
  <script>
  export default {
    props: {
      liked: Boolean, // Indicates whether the post is liked
    },
    methods: {
      toggleLike() {
        // Emit an event to notify the parent component (Post.vue)
        this.$emit('toggle-like');
      },
    },
  };
  </script>
  
  <style scoped>
  .like-button {
    background: none;
    border: none;
    cursor: pointer;
    outline: none;
    color: red; /* Change the heart color to red */
    font-size: 24px;
    padding: 0;
  }
  </style>
  